---
title: "Filtered retained server log or visible mudlog"
description: "Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session."
type: reference
audience: operators
verified: v0.1.8
canonical: https://darkpawns.org/docs/reference/api/admin/operations/get-logbook/
---

[Documentation](/docs/) / [Reference](/docs/reference/)

# Filtered retained server log or visible mudlog

Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.

GET

/admin/logbook

FetchcURL

```
const url = 'https://example.com/admin/logbook?source=server&severity=&type=-1&level=-1';const options = {method: 'GET'};
try {  const response = await fetch(url, options);  const data = await response.json();  console.log(data);} catch (error) {  console.error(error);}
```

```
curl --request GET \  --url 'https://example.com/admin/logbook?source=server&severity=&type=-1&level=-1'
```

## Parameters

### Query Parameters

**source**

string

default: server

Allowed values: server mudlog

**severity**

string

Allowed values: "" INFO WARN ERROR DEBUG

**type**

integer format: int64

default: -1 \>= -1 <= 3

**level**

integer format: int64

default: -1 \>= -1 <= 40

**key**

string

**search**

string

<= 500 characters

**after**

Inclusive RFC3339 timestamp.

string

Inclusive RFC3339 timestamp.

**before**

Inclusive RFC3339 timestamp.

string

Inclusive RFC3339 timestamp.

## Responses

### 200

OK

application/json

object

**dropped**

required

integer format: int64

**entries**

required

Array<object> | null

object

**level**

required

string

**message**

required

string

**raw**

required

string

**seq**

integer format: int64

**time**

required

string

**type**

required

string

**last\_seq**

required

integer format: int64

**retained**

required

integer format: int64

#### Example generated

```
{  "dropped": 1,  "entries": [    {      "level": "example",      "message": "example",      "raw": "example",      "seq": 1,      "time": "example",      "type": "example"    }  ],  "last_seq": 1,  "retained": 1}
```

### default

Error

application/problem+json

object

**detail**

A human-readable explanation specific to this occurrence of the problem.

string

**errors**

Optional list of individual error details

Array<object> | null

object

**location**

Where the error occurred, e.g. ‘body.items\[3\].tags’ or ‘path.thing-id’

string

**message**

Error message text

string

**value**

The value at the given location

**instance**

A URI reference that identifies the specific occurrence of the problem.

string format: uri

**status**

HTTP status code

integer format: int64

**title**

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string

**type**

A URI reference to human-readable documentation for the error.

string format: uri

default: about:blank

#### Example

```
{  "detail": "Property foo is required but is missing.",  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "about:blank"}
```
